<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.edward2" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfp.edward2

Edward2 probabilistic programming language.



Defined in [`python/edward2/__init__.py`](https://github.com/tensorflow/probability/tree/master/tensorflow_probability/python/edward2/__init__.py).

<!-- Placeholder for "Used in" -->

For user guides, see:

+ [Overview](
   https://github.com/tensorflow/probability/blob/master/tensorflow_probability/python/edward2/README.md)
+ [Upgrading from Edward to Edward2](
   https://github.com/tensorflow/probability/blob/master/tensorflow_probability/python/edward2/Upgrading_From_Edward_To_Edward2.md)

## Classes

[`class RandomVariable`](../tfp/edward2/RandomVariable.md): Class for random variables.

## Functions

[`Autoregressive(...)`](../tfp/edward2/Autoregressive.md): Create a random variable for Autoregressive.

[`BatchReshape(...)`](../tfp/edward2/BatchReshape.md): Create a random variable for BatchReshape.

[`Bernoulli(...)`](../tfp/edward2/Bernoulli.md): Create a random variable for Bernoulli.

[`Beta(...)`](../tfp/edward2/Beta.md): Create a random variable for Beta.

[`Binomial(...)`](../tfp/edward2/Binomial.md): Create a random variable for Binomial.

[`Blockwise(...)`](../tfp/edward2/Blockwise.md): Create a random variable for Blockwise.

[`Categorical(...)`](../tfp/edward2/Categorical.md): Create a random variable for Categorical.

[`Cauchy(...)`](../tfp/edward2/Cauchy.md): Create a random variable for Cauchy.

[`Chi(...)`](../tfp/edward2/Chi.md): Create a random variable for Chi.

[`Chi2(...)`](../tfp/edward2/Chi2.md): Create a random variable for Chi2.

[`Chi2WithAbsDf(...)`](../tfp/edward2/Chi2WithAbsDf.md): Create a random variable for Chi2WithAbsDf.

[`ConditionalDistribution(...)`](../tfp/edward2/ConditionalDistribution.md): Create a random variable for ConditionalDistribution.

[`ConditionalTransformedDistribution(...)`](../tfp/edward2/ConditionalTransformedDistribution.md): Create a random variable for ConditionalTransformedDistribution.

[`Deterministic(...)`](../tfp/edward2/Deterministic.md): Create a random variable for Deterministic.

[`Dirichlet(...)`](../tfp/edward2/Dirichlet.md): Create a random variable for Dirichlet.

[`DirichletMultinomial(...)`](../tfp/edward2/DirichletMultinomial.md): Create a random variable for DirichletMultinomial.

[`Distribution(...)`](../tfp/edward2/Distribution.md): Create a random variable for Distribution.

[`Empirical(...)`](../tfp/edward2/Empirical.md): Create a random variable for Empirical.

[`ExpRelaxedOneHotCategorical(...)`](../tfp/edward2/ExpRelaxedOneHotCategorical.md): Create a random variable for ExpRelaxedOneHotCategorical.

[`Exponential(...)`](../tfp/edward2/Exponential.md): Create a random variable for Exponential.

[`FiniteDiscrete(...)`](../tfp/edward2/FiniteDiscrete.md): Create a random variable for FiniteDiscrete.

[`Gamma(...)`](../tfp/edward2/Gamma.md): Create a random variable for Gamma.

[`GammaGamma(...)`](../tfp/edward2/GammaGamma.md): Create a random variable for GammaGamma.

[`GaussianProcess(...)`](../tfp/edward2/GaussianProcess.md): Create a random variable for GaussianProcess.

[`GaussianProcessRegressionModel(...)`](../tfp/edward2/GaussianProcessRegressionModel.md): Create a random variable for GaussianProcessRegressionModel.

[`Geometric(...)`](../tfp/edward2/Geometric.md): Create a random variable for Geometric.

[`Gumbel(...)`](../tfp/edward2/Gumbel.md): Create a random variable for Gumbel.

[`HalfCauchy(...)`](../tfp/edward2/HalfCauchy.md): Create a random variable for HalfCauchy.

[`HalfNormal(...)`](../tfp/edward2/HalfNormal.md): Create a random variable for HalfNormal.

[`HiddenMarkovModel(...)`](../tfp/edward2/HiddenMarkovModel.md): Create a random variable for HiddenMarkovModel.

[`Horseshoe(...)`](../tfp/edward2/Horseshoe.md): Create a random variable for Horseshoe.

[`Independent(...)`](../tfp/edward2/Independent.md): Create a random variable for Independent.

[`InverseGamma(...)`](../tfp/edward2/InverseGamma.md): Create a random variable for InverseGamma.

[`InverseGaussian(...)`](../tfp/edward2/InverseGaussian.md): Create a random variable for InverseGaussian.

[`JointDistribution(...)`](../tfp/edward2/JointDistribution.md): Create a random variable for JointDistribution.

[`JointDistributionCoroutine(...)`](../tfp/edward2/JointDistributionCoroutine.md): Create a random variable for JointDistributionCoroutine.

[`JointDistributionNamed(...)`](../tfp/edward2/JointDistributionNamed.md): Create a random variable for JointDistributionNamed.

[`JointDistributionSequential(...)`](../tfp/edward2/JointDistributionSequential.md): Create a random variable for JointDistributionSequential.

[`Kumaraswamy(...)`](../tfp/edward2/Kumaraswamy.md): Create a random variable for Kumaraswamy.

[`LKJ(...)`](../tfp/edward2/LKJ.md): Create a random variable for LKJ.

[`Laplace(...)`](../tfp/edward2/Laplace.md): Create a random variable for Laplace.

[`LinearGaussianStateSpaceModel(...)`](../tfp/edward2/LinearGaussianStateSpaceModel.md): Create a random variable for LinearGaussianStateSpaceModel.

[`LogNormal(...)`](../tfp/edward2/LogNormal.md): Create a random variable for LogNormal.

[`Logistic(...)`](../tfp/edward2/Logistic.md): Create a random variable for Logistic.

[`Mixture(...)`](../tfp/edward2/Mixture.md): Create a random variable for Mixture.

[`MixtureSameFamily(...)`](../tfp/edward2/MixtureSameFamily.md): Create a random variable for MixtureSameFamily.

[`Multinomial(...)`](../tfp/edward2/Multinomial.md): Create a random variable for Multinomial.

[`MultivariateNormalDiag(...)`](../tfp/edward2/MultivariateNormalDiag.md): Create a random variable for MultivariateNormalDiag.

[`MultivariateNormalDiagPlusLowRank(...)`](../tfp/edward2/MultivariateNormalDiagPlusLowRank.md): Create a random variable for MultivariateNormalDiagPlusLowRank.

[`MultivariateNormalDiagWithSoftplusScale(...)`](../tfp/edward2/MultivariateNormalDiagWithSoftplusScale.md): Create a random variable for MultivariateNormalDiagWithSoftplusScale.

[`MultivariateNormalFullCovariance(...)`](../tfp/edward2/MultivariateNormalFullCovariance.md): Create a random variable for MultivariateNormalFullCovariance.

[`MultivariateNormalLinearOperator(...)`](../tfp/edward2/MultivariateNormalLinearOperator.md): Create a random variable for MultivariateNormalLinearOperator.

[`MultivariateNormalTriL(...)`](../tfp/edward2/MultivariateNormalTriL.md): Create a random variable for MultivariateNormalTriL.

[`MultivariateStudentTLinearOperator(...)`](../tfp/edward2/MultivariateStudentTLinearOperator.md): Create a random variable for MultivariateStudentTLinearOperator.

[`NegativeBinomial(...)`](../tfp/edward2/NegativeBinomial.md): Create a random variable for NegativeBinomial.

[`Normal(...)`](../tfp/edward2/Normal.md): Create a random variable for Normal.

[`OneHotCategorical(...)`](../tfp/edward2/OneHotCategorical.md): Create a random variable for OneHotCategorical.

[`Pareto(...)`](../tfp/edward2/Pareto.md): Create a random variable for Pareto.

[`Poisson(...)`](../tfp/edward2/Poisson.md): Create a random variable for Poisson.

[`PoissonLogNormalQuadratureCompound(...)`](../tfp/edward2/PoissonLogNormalQuadratureCompound.md): Create a random variable for PoissonLogNormalQuadratureCompound.

[`QuantizedDistribution(...)`](../tfp/edward2/QuantizedDistribution.md): Create a random variable for QuantizedDistribution.

[`RelaxedBernoulli(...)`](../tfp/edward2/RelaxedBernoulli.md): Create a random variable for RelaxedBernoulli.

[`RelaxedOneHotCategorical(...)`](../tfp/edward2/RelaxedOneHotCategorical.md): Create a random variable for RelaxedOneHotCategorical.

[`Sample(...)`](../tfp/edward2/Sample.md): Create a random variable for Sample.

[`SinhArcsinh(...)`](../tfp/edward2/SinhArcsinh.md): Create a random variable for SinhArcsinh.

[`StudentT(...)`](../tfp/edward2/StudentT.md): Create a random variable for StudentT.

[`StudentTProcess(...)`](../tfp/edward2/StudentTProcess.md): Create a random variable for StudentTProcess.

[`TransformedDistribution(...)`](../tfp/edward2/TransformedDistribution.md): Create a random variable for TransformedDistribution.

[`Triangular(...)`](../tfp/edward2/Triangular.md): Create a random variable for Triangular.

[`TruncatedNormal(...)`](../tfp/edward2/TruncatedNormal.md): Create a random variable for TruncatedNormal.

[`Uniform(...)`](../tfp/edward2/Uniform.md): Create a random variable for Uniform.

[`VariationalGaussianProcess(...)`](../tfp/edward2/VariationalGaussianProcess.md): Create a random variable for VariationalGaussianProcess.

[`VectorDeterministic(...)`](../tfp/edward2/VectorDeterministic.md): Create a random variable for VectorDeterministic.

[`VectorDiffeomixture(...)`](../tfp/edward2/VectorDiffeomixture.md): Create a random variable for VectorDiffeomixture.

[`VectorExponentialDiag(...)`](../tfp/edward2/VectorExponentialDiag.md): Create a random variable for VectorExponentialDiag.

[`VectorLaplaceDiag(...)`](../tfp/edward2/VectorLaplaceDiag.md): Create a random variable for VectorLaplaceDiag.

[`VectorSinhArcsinhDiag(...)`](../tfp/edward2/VectorSinhArcsinhDiag.md): Create a random variable for VectorSinhArcsinhDiag.

[`VonMises(...)`](../tfp/edward2/VonMises.md): Create a random variable for VonMises.

[`VonMisesFisher(...)`](../tfp/edward2/VonMisesFisher.md): Create a random variable for VonMisesFisher.

[`Wishart(...)`](../tfp/edward2/Wishart.md): Create a random variable for Wishart.

[`Zipf(...)`](../tfp/edward2/Zipf.md): Create a random variable for Zipf.

[`as_random_variable(...)`](../tfp/edward2/as_random_variable.md): Wrap an existing distribution as a traceable random variable.

[`get_next_interceptor(...)`](../tfp/edward2/get_next_interceptor.md): Yields the top-most interceptor on the thread-local interceptor stack.

[`interceptable(...)`](../tfp/edward2/interceptable.md): Decorator that wraps `func` so that its execution is intercepted.

[`interception(...)`](../tfp/edward2/interception.md): Python context manager for interception.

[`make_log_joint_fn(...)`](../tfp/edward2/make_log_joint_fn.md): Takes Edward probabilistic program and returns its log joint function.

[`make_value_setter(...)`](../tfp/edward2/make_value_setter.md): Creates a value-setting interceptor.

[`tape(...)`](../tfp/edward2/tape.md): Context manager for recording interceptable executions onto a tape.

