<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.mcmc.CheckpointableStatesAndTrace" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="all_states"/>
<meta itemprop="property" content="trace"/>
<meta itemprop="property" content="final_kernel_results"/>
</div>

# tfp.mcmc.CheckpointableStatesAndTrace

## Class `CheckpointableStatesAndTrace`

States and auxiliary trace of an MCMC chain.





Defined in [`python/mcmc/sample.py`](https://github.com/tensorflow/probability/tree/master/tensorflow_probability/python/mcmc/sample.py).

<!-- Placeholder for "Used in" -->

The first dimension of all the `Tensor`s in the `all_states` and `trace`
attributes is the same and represents the chain length.

#### Attributes:


* <b>`all_states`</b>: A `Tensor` or a nested collection of `Tensor`s representing the
  MCMC chain state.
* <b>`trace`</b>: A `Tensor` or a nested collection of `Tensor`s representing the
  auxiliary values traced alongside the chain.
* <b>`final_kernel_results`</b>: A `Tensor` or a nested collection of `Tensor`s
  representing the final value of the auxiliary state of the
  `TransitionKernel` that generated this chain.

## Properties

<h3 id="all_states"><code>all_states</code></h3>




<h3 id="trace"><code>trace</code></h3>




<h3 id="final_kernel_results"><code>final_kernel_results</code></h3>






