<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.positive_semidefinite_kernels" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfp.positive_semidefinite_kernels

Positive-semidefinite kernels package.



Defined in [`python/positive_semidefinite_kernels/__init__.py`](https://github.com/tensorflow/probability/tree/master/tensorflow_probability/python/positive_semidefinite_kernels/__init__.py).

<!-- Placeholder for "Used in" -->


## Classes

[`class ExpSinSquared`](../tfp/positive_semidefinite_kernels/ExpSinSquared.md): Exponentiated Sine Squared Kernel.

[`class ExponentiatedQuadratic`](../tfp/positive_semidefinite_kernels/ExponentiatedQuadratic.md): The ExponentiatedQuadratic kernel.

[`class FeatureScaled`](../tfp/positive_semidefinite_kernels/FeatureScaled.md): Kernel that first rescales all feature dimensions.

[`class FeatureTransformed`](../tfp/positive_semidefinite_kernels/FeatureTransformed.md): Input transformed kernel.

[`class KumaraswamyTransformed`](../tfp/positive_semidefinite_kernels/KumaraswamyTransformed.md): Transform inputs by Kumaraswamy bijector.

[`class Linear`](../tfp/positive_semidefinite_kernels/Linear.md): Linear Kernel.

[`class MaternFiveHalves`](../tfp/positive_semidefinite_kernels/MaternFiveHalves.md): Matern 5/2 Kernel.

[`class MaternOneHalf`](../tfp/positive_semidefinite_kernels/MaternOneHalf.md): Matern Kernel with parameter 1/2.

[`class MaternThreeHalves`](../tfp/positive_semidefinite_kernels/MaternThreeHalves.md): Matern Kernel with parameter 3/2.

[`class Polynomial`](../tfp/positive_semidefinite_kernels/Polynomial.md): Polynomial Kernel.

[`class PositiveSemidefiniteKernel`](../tfp/positive_semidefinite_kernels/PositiveSemidefiniteKernel.md): Abstract base class for positive semi-definite kernel functions.

[`class RationalQuadratic`](../tfp/positive_semidefinite_kernels/RationalQuadratic.md): RationalQuadratic Kernel.

[`class SchurComplement`](../tfp/positive_semidefinite_kernels/SchurComplement.md): The SchurComplement kernel.

