<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.stats" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfp.stats

Statistical functions.



Defined in [`python/stats/__init__.py`](https://github.com/tensorflow/probability/tree/master/tensorflow_probability/python/stats/__init__.py).

<!-- Placeholder for "Used in" -->


## Functions

[`auto_correlation(...)`](../tfp/stats/auto_correlation.md): Auto correlation along one axis.

[`cholesky_covariance(...)`](../tfp/stats/cholesky_covariance.md): Cholesky factor of the covariance matrix of vector-variate random samples.

[`correlation(...)`](../tfp/stats/correlation.md): Sample correlation (Pearson) between observations indexed by `event_axis`.

[`count_integers(...)`](../tfp/stats/count_integers.md): Counts the number of occurrences of each value in an integer array `arr`.

[`covariance(...)`](../tfp/stats/covariance.md): Sample covariance between observations indexed by `event_axis`.

[`find_bins(...)`](../tfp/stats/find_bins.md): Bin values into discrete intervals.

[`histogram(...)`](../tfp/stats/histogram.md): Count how often `x` falls in intervals defined by `edges`.

[`percentile(...)`](../tfp/stats/percentile.md): Compute the `q`-th percentile(s) of `x`.

[`quantiles(...)`](../tfp/stats/quantiles.md): Compute quantiles of `x` along `axis`.

[`stddev(...)`](../tfp/stats/stddev.md): Estimate standard deviation using samples.

[`variance(...)`](../tfp/stats/variance.md): Estimate variance using samples.

