<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.vi" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfp.vi

Methods and objectives for variational inference.



Defined in [`python/vi/__init__.py`](https://github.com/tensorflow/probability/tree/master/tensorflow_probability/python/vi/__init__.py).

<!-- Placeholder for "Used in" -->


## Functions

[`amari_alpha(...)`](../tfp/vi/amari_alpha.md): The Amari-alpha Csiszar-function in log-space.

[`arithmetic_geometric(...)`](../tfp/vi/arithmetic_geometric.md): The Arithmetic-Geometric Csiszar-function in log-space.

[`chi_square(...)`](../tfp/vi/chi_square.md): The chi-Square Csiszar-function in log-space.

[`csiszar_vimco(...)`](../tfp/vi/csiszar_vimco.md): Use VIMCO to lower the variance of gradient[csiszar_function(Avg(logu))].

[`csiszar_vimco_helper(...)`](../tfp/vi/csiszar_vimco_helper.md): Helper to `csiszar_vimco`; computes `log_avg_u`, `log_sooavg_u`.

[`dual_csiszar_function(...)`](../tfp/vi/dual_csiszar_function.md): Calculates the dual Csiszar-function in log-space.

[`jeffreys(...)`](../tfp/vi/jeffreys.md): The Jeffreys Csiszar-function in log-space.

[`jensen_shannon(...)`](../tfp/vi/jensen_shannon.md): The Jensen-Shannon Csiszar-function in log-space.

[`kl_forward(...)`](../tfp/vi/kl_forward.md): The forward Kullback-Leibler Csiszar-function in log-space.

[`kl_reverse(...)`](../tfp/vi/kl_reverse.md): The reverse Kullback-Leibler Csiszar-function in log-space.

[`log1p_abs(...)`](../tfp/vi/log1p_abs.md): The log1p-abs Csiszar-function in log-space.

[`modified_gan(...)`](../tfp/vi/modified_gan.md): The Modified-GAN Csiszar-function in log-space.

[`monte_carlo_csiszar_f_divergence(...)`](../tfp/vi/monte_carlo_csiszar_f_divergence.md): Monte-Carlo approximation of the Csiszar f-Divergence.

[`pearson(...)`](../tfp/vi/pearson.md): The Pearson Csiszar-function in log-space.

[`squared_hellinger(...)`](../tfp/vi/squared_hellinger.md): The Squared-Hellinger Csiszar-function in log-space.

[`symmetrized_csiszar_function(...)`](../tfp/vi/symmetrized_csiszar_function.md): Symmetrizes a Csiszar-function in log-space.

[`t_power(...)`](../tfp/vi/t_power.md): The T-Power Csiszar-function in log-space.

[`total_variation(...)`](../tfp/vi/total_variation.md): The Total Variation Csiszar-function in log-space.

[`triangular(...)`](../tfp/vi/triangular.md): The Triangular Csiszar-function in log-space.

